Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class AudioOutputDevice

    java.lang.Object
      org.linuxsampler.lscp.AbstractDevice
          org.linuxsampler.lscp.AudioOutputDevice

All Implemented Interfaces:
  Device

    public class AudioOutputDevice

extends AbstractDevice

Provides information about the current settings of a specific audio output device.

Constructor Summary
`AudioOutputDevice()` Creates a new instance of AudioOutputDevice

Method Summary
`Parameter[]` | `getAllParameters()` Gets a `Parameter` array providing all parameters of this audio output device (including `ACTIVE`, `CHANNELS` and `SAMPLERATE` parameters).
`AudioOutputChannel` | `getAudioChannel(int index)` Gets the audio output channel at the specified index.
`int` | `getAudioChannelCount()` Gets the current number of audio output channels this device offers.
`AudioOutputChannel[]` | `getAudioChannels()` Gets the current non-`null` list of audio channels this device offers.
`int` | `getChannelCount()` Gets the amount of audio output channels this device currently offers.
`Parameter<java.lang.Integer>` | `getChannelsParameter()` Gets the `CHANNELS` parameter.
`int` | `getSampleRate()` Gets the sample rate this device uses.
`Parameter<java.lang.Integer>` | `getSampleRateParameter()` Gets the `SAMPLERATE` parameter.
`void` | `setAudioChannels(AudioOutputChannel[] channels)` Sets the current list of audio output channels.
`void` | `setChannelsParameter(Parameter<java.lang.Integer> channels)` Sets the `CHANNELS` parameter.
`void` | `setSampleRateParameter(Parameter<java.lang.Integer> samplerate)` Sets the `SAMPLERATE` parameter.

Methods inherited from class org.linuxsampler.lscp.AbstractDevice
`addParameter, getActiveParameter, getAdditionalParameters, getDeviceId, getDriverName, hasAdditionalParameters, isActive, setActive, setDeviceId, setDriverName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AudioOutputDevice

    public AudioOutputDevice()

  Creates a new instance of AudioOutputDevice

Method Detail

### getChannelCount

    public int getChannelCount()

  Gets the amount of audio output channels this device currently offers.

  Returns:
    The amount of audio output channels this device currently offers.

### getChannelsParameter

    public Parameter<java.lang.Integer> getChannelsParameter()

  Gets the `CHANNELS` parameter.

  Returns:
    A `Parameter` instance.

### setChannelsParameter

    public void setChannelsParameter(Parameter<java.lang.Integer> channels)

  Sets the `CHANNELS` parameter.

  Parameters:
    `channels` - The new `CHANNELS` parameter.

### getSampleRate

    public int getSampleRate()

  Gets the sample rate this device uses.

  Returns:
    The sample rate this device uses.

### getSampleRateParameter

    public Parameter<java.lang.Integer> getSampleRateParameter()

  Gets the `SAMPLERATE` parameter.

  Returns:
    A `Parameter` instance.

### setSampleRateParameter

    public void setSampleRateParameter(Parameter<java.lang.Integer> samplerate)

  Sets the `SAMPLERATE` parameter.

  Parameters:
    `samplerate` - The new `SAMPLERATE` parameter.

### getAudioChannels

    public AudioOutputChannel[] getAudioChannels()

  Gets the current non-`null` list of audio channels this device offers.

  Returns:
    An `AudioOutputChannel` array providing all audio channels this device offers.

### setAudioChannels

    public void setAudioChannels(AudioOutputChannel[] channels)

  Sets the current list of audio output channels.

  Parameters:
    `channels` - The new list of audio output channels.
  Throws:
    `java.lang.IllegalArgumentException` - If `channels` is `null`.

### getAudioChannel

    public AudioOutputChannel getAudioChannel(int index)

  Gets the audio output channel at the specified index.

  Parameters:
    `index` - The index of the audio output channel to be retrieved.

### getAudioChannelCount

    public int getAudioChannelCount()

  Gets the current number of audio output channels this device offers.

  Returns:
    The current number of audio output channels this device offers.

### getAllParameters

    public Parameter[] getAllParameters()

  Gets a `Parameter` array providing all parameters of this audio output device (including `ACTIVE`, `CHANNELS` and `SAMPLERATE` parameters).

  Returns:
    A `Parameter` array providing all parameters of this MIDI port.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.